---
title: BatteryManager.charging
slug: Web/API/BatteryManager/charging
tags:
  - API
  - Battery API
  - NeedsMarkupWork
  - Property
  - Reference
  - Référence(2)
---
<div>{{obsolete_header}}</div>

<div>{{APIRef("Battery API")}}</div>

<p>A Boolean value indicating whether or not the device's battery is currently being charged.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>charging</em> = battery.charging</pre>

<p>On return, <code>charging</code> indicates whether or not the <code><em>battery</em></code>, which is a {{domxref("BatteryManager")}} object, is currently being charged; if the battery is charging, this value is <code>true</code>. Otherwise, the value is <code>false</code>.</p>

<h2 id="Example">Example</h2>

<h3 id="HTML_Content">HTML Content</h3>

<pre class="brush: html">&lt;div id="charging"&gt;(charging state unknown)&lt;/div&gt;</pre>

<h3 id="JavaScript_Content">JavaScript Content</h3>

<pre class="brush: js; highlight:[3]">navigator.getBattery().then(function(battery) {

    var charging = battery.charging;

    document.querySelector('#charging').textContent = charging ;
});</pre>

<p>{{ EmbedLiveSample('Example', '100%', 30) }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Battery API")}}</td>
   <td>{{Spec2("Battery API")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BatteryManager.charging")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("BatteryManager")}}</li>
 <li>{{domxref("Navigator.getBattery")}}</li>
</ul>
